Skip to main content
List Runs

Authorizations

x-api-key
string
header
required

API Key for authentication. Get your API key from NOQA dashboard.

Headers

x-api-key
string | null

API Key for authentication

Query Parameters

app_id
string<uuid>
required

Application ID

skip
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:50

Maximum number of records

Required range: 1 <= x <= 100

Response

Successful Response

id
string<uuid>
required

Unique identifier of the test run

Example:

"550e8400-e29b-41d4-a716-446655440000"

created_at
string<date-time>
required

Timestamp when the run was created

status
enum<string>
required

Overall run status

Available options:
queued,
running,
passed,
failed,
cancelled
Examples:

"running"

"completed"

"cancelled"

test_count
integer
required

Total number of tests in the run

Example:

10

statuses
Statuses · object
required

Count of tests by status

Example:
build
BuildResponse · object | null

Build information

device
DeviceConfig · object | null

Device configuration used for the run